
public class SCT {
	private long sha256Hash = 0;
	private int timeStamp = 0;
	private int extensionLenght = 0;
	private int signatureAlgoritm = 0;
	private long signature = 0;
	private long signatureLength = 0;
	private int protocolVersion = 0;
	
	public SCT(long sha256, int ts, int el, int sa, long s, int sl, int pv)
	{
		this.sha256Hash = sha256;
		this.timeStamp = ts;
		this.extensionLenght = el;
		this.signatureAlgoritm = sa;
		this.signature = s;
		this.signatureLength = sl;
		this.protocolVersion = pv;
	}

	/**
	 * @return the sha256Hash
	 */
	public long getSha256Hash() {
		return sha256Hash;
	}

	/**
	 * @return the timeStamp
	 */
	public int getTimeStamp() {
		return timeStamp;
	}

	/**
	 * @return the extensionLenght
	 */
	public int getExtensionLenght() {
		return extensionLenght;
	}

	/**
	 * @return the signatureAlgoritm
	 */
	public int getSignatureAlgoritm() {
		return signatureAlgoritm;
	}

	/**
	 * @return the signature
	 */
	public long getSignature() {
		return signature;
	}

	/**
	 * @return the signatureLength
	 */
	public long getSignatureLength() {
		return signatureLength;
	}

	/**
	 * @return the protocolVersion
	 */
	public int getProtocolVersion() {
		return protocolVersion;
	}
}
